Bug 255256 - Crash browsing in album view clicking and rotating several thumbnails
Summary: Crash browsing in album view clicking and rotating several thumbnails
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Thumbs-Engine (show other bugs)
Version: 1.5.0
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-25 21:24 UTC by René Krell
Modified: 2019-08-15 12:57 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 6.3.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description René Krell 2010-10-25 21:24:10 UTC
Application: digikam (1.5.0)
KDE Platform Version: 4.5.2 (KDE 4.5.2)
Qt Version: 4.7.0
Operating System: Linux 2.6.34.7-0.4-desktop x86_64
Distribution: "openSUSE 11.3 (x86_64)"

-- Information about the crash:
- What I was doing when the application crashed:
Clicking on the thumbnails and rotating some of them in album view

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f552514e7c0 (LWP 4787))]

Thread 22 (Thread 0x7f550dd14710 (LWP 4789)):
#0  0x00007f551ca6b39c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f55203d1fab in wait (this=<value optimized out>, mutex=0xca78d0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0xca78d0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00000000006bc2c5 in Digikam::ScanController::run (this=0xcac110) at /usr/src/debug/digikam-1.5.0/digikam/scancontroller.cpp:515
#4  0x00007f55203d18be in QThreadPrivate::start (arg=0xcac110) at thread/qthread_unix.cpp:266
#5  0x00007f551ca66a4f in start_thread () from /lib64/libpthread.so.0
#6  0x00007f551ea3982d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 21 (Thread 0x7f550d513710 (LWP 4792)):
#0  0xffffffffff600148 in ?? ()
#1  0x00007fffb41237a1 in ?? ()
#2  0x00007f55174ca2a3 in clock_gettime () from /lib64/librt.so.1
#3  0x00007f552042418f in do_gettime () at tools/qelapsedtimer_unix.cpp:105
#4  qt_gettime () at tools/qelapsedtimer_unix.cpp:119
#5  0x00007f55204e800d in QTimerInfoList::updateCurrentTime (this=0xceace0) at kernel/qeventdispatcher_unix.cpp:339
#6  0x00007f55204e8395 in QTimerInfoList::timerWait (this=0xceace0, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#7  0x00007f55204e6e6c in timerSourcePrepareHelper (src=<value optimized out>, timeout=0x7f550d512c2c) at kernel/qeventdispatcher_glib.cpp:136
#8  0x00007f55204e6f15 in timerSourcePrepare (source=<value optimized out>, timeout=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#9  0x00007f5517221f7f in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#10 0x00007f5517222e69 in ?? () from /usr/lib64/libglib-2.0.so.0
#11 0x00007f5517223510 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#12 0x00007f55204e7656 in QEventDispatcherGlib::processEvents (this=0xcd6030, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#13 0x00007f55204bbe12 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#14 0x00007f55204bc025 in QEventLoop::exec (this=0x7f550d512dc0, flags=...) at kernel/qeventloop.cpp:201
#15 0x00007f55203cf034 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#16 0x00007f55203d18be in QThreadPrivate::start (arg=0xde76e0) at thread/qthread_unix.cpp:266
#17 0x00007f551ca66a4f in start_thread () from /lib64/libpthread.so.0
#18 0x00007f551ea3982d in clone () from /lib64/libc.so.6
#19 0x0000000000000000 in ?? ()

Thread 20 (Thread 0x7f550cd12710 (LWP 4793)):
#0  0x00007f551ca690c0 in pthread_mutex_lock () from /lib64/libpthread.so.0
#1  0x00007f5517222343 in g_main_context_query () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f5517222edb in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f5517223510 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f55204e7656 in QEventDispatcherGlib::processEvents (this=0xdefca0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#5  0x00007f55204bbe12 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f55204bc025 in QEventLoop::exec (this=0x7f550cd11dc0, flags=...) at kernel/qeventloop.cpp:201
#7  0x00007f55203cf034 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#8  0x00007f55203d18be in QThreadPrivate::start (arg=0xceff20) at thread/qthread_unix.cpp:266
#9  0x00007f551ca66a4f in start_thread () from /lib64/libpthread.so.0
#10 0x00007f551ea3982d in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 19 (Thread 0x7f5507df2710 (LWP 4794)):
#0  0x00007f551ca6b39c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f55203d1fab in wait (this=<value optimized out>, mutex=0xdaab38, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0xdaab38, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f5522650e09 in Digikam::ParkingThread::run (this=0xdaab20) at /usr/src/debug/digikam-1.5.0/libs/threads/threadmanager.cpp:101
#4  0x00007f55203d18be in QThreadPrivate::start (arg=0xdaab20) at thread/qthread_unix.cpp:266
#5  0x00007f551ca66a4f in start_thread () from /lib64/libpthread.so.0
#6  0x00007f551ea3982d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 18 (Thread 0x7f55075f1710 (LWP 4795)):
#0  0x00007f551ca690b4 in pthread_mutex_lock () from /lib64/libpthread.so.0
#1  0x00007f5517221fae in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f5517222e69 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f5517223510 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f55204e7656 in QEventDispatcherGlib::processEvents (this=0x7f5508029b20, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#5  0x00007f55204bbe12 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f55204bc025 in QEventLoop::exec (this=0x7f55075f0dc0, flags=...) at kernel/qeventloop.cpp:201
#7  0x00007f55203cf034 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#8  0x00007f55203d18be in QThreadPrivate::start (arg=0xcd2d60) at thread/qthread_unix.cpp:266
#9  0x00007f551ca66a4f in start_thread () from /lib64/libpthread.so.0
#10 0x00007f551ea3982d in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7f5506df0710 (LWP 4796)):
#0  0x00007f551ea306b3 in poll () from /lib64/libc.so.6
#1  0x00007f5517222fd4 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f5517223510 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f55204e7656 in QEventDispatcherGlib::processEvents (this=0xd28f50, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#4  0x00007f55204bbe12 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f55204bc025 in QEventLoop::exec (this=0x7f5506defdc0, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007f55203cf034 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#7  0x00007f55203d18be in QThreadPrivate::start (arg=0xcd2c00) at thread/qthread_unix.cpp:266
#8  0x00007f551ca66a4f in start_thread () from /lib64/libpthread.so.0
#9  0x00007f551ea3982d in clone () from /lib64/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7f54fa317710 (LWP 4797)):
#0  0x00007f551ca6b709 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f5503e15951 in metronom_sync_loop () from /usr/lib64/libxine.so.1
#2  0x00007f551ca66a4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f551ea3982d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7f54f8eda710 (LWP 4798)):
#0  0x00007f551ca6b709 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f5503e2398f in video_out_loop () from /usr/lib64/libxine.so.1
#2  0x00007f551ca66a4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f551ea3982d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f54f86d9710 (LWP 4799)):
#0  0x00007f55204e83de in QTimerInfoList::timerWait (this=<value optimized out>, tm=...) at kernel/qeventdispatcher_unix.cpp:448
#1  0x00007f55204e6e6c in timerSourcePrepareHelper (src=<value optimized out>, timeout=0x7f54f86d8bdc) at kernel/qeventdispatcher_glib.cpp:136
#2  0x00007f5517221f7f in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f5517222e69 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f5517223510 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007f55204e7656 in QEventDispatcherGlib::processEvents (this=0x2078fc0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#6  0x00007f55204bbe12 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f55204bc025 in QEventLoop::exec (this=0x7f54f86d8d70, flags=...) at kernel/qeventloop.cpp:201
#8  0x00007f55203cf034 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#9  0x00007f5504073524 in ?? () from /usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#10 0x00007f55203d18be in QThreadPrivate::start (arg=0x20789a0) at thread/qthread_unix.cpp:266
#11 0x00007f551ca66a4f in start_thread () from /lib64/libpthread.so.0
#12 0x00007f551ea3982d in clone () from /lib64/libc.so.6
#13 0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f54f7cd2710 (LWP 4800)):
#0  0x00007f551ca68cb6 in __pthread_mutex_lock_full () from /lib64/libpthread.so.0
#1  0x00007f55158b5b8e in pa_mutex_lock () from /usr/lib64/libpulsecommon-0.9.21.so
#2  0x00007f551e4bc429 in ?? () from /usr/lib64/libpulse.so.0
#3  0x00007f551e4ae1e6 in pa_mainloop_poll () from /usr/lib64/libpulse.so.0
#4  0x00007f551e4ae819 in pa_mainloop_iterate () from /usr/lib64/libpulse.so.0
#5  0x00007f551e4ae8d0 in pa_mainloop_run () from /usr/lib64/libpulse.so.0
#6  0x00007f551e4bc3bb in ?? () from /usr/lib64/libpulse.so.0
#7  0x00007f55158b68e8 in ?? () from /usr/lib64/libpulsecommon-0.9.21.so
#8  0x00007f551ca66a4f in start_thread () from /lib64/libpthread.so.0
#9  0x00007f551ea3982d in clone () from /lib64/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f54f34d0710 (LWP 4801)):
#0  0x00007f551ca6b39c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f5503e2796b in ao_loop () from /usr/lib64/libxine.so.1
#2  0x00007f551ca66a4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f551ea3982d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f54f2ccf710 (LWP 4802)):
#0  0x00007f551ea306b3 in poll () from /lib64/libc.so.6
#1  0x00007f5517222fd4 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f5517223510 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f55204e7656 in QEventDispatcherGlib::processEvents (this=0x2336ad0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#4  0x00007f55204bbe12 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f55204bc025 in QEventLoop::exec (this=0x7f54f2cced80, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007f55203cf034 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#7  0x00007f552049d478 in QInotifyFileSystemWatcherEngine::run (this=0x2328fb0) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f55203d18be in QThreadPrivate::start (arg=0x2328fb0) at thread/qthread_unix.cpp:266
#9  0x00007f551ca66a4f in start_thread () from /lib64/libpthread.so.0
#10 0x00007f551ea3982d in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f54f03fa710 (LWP 4809)):
#0  0x00007f5517221f86 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#1  0x00007f5517222e69 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f5517223510 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f55204e7656 in QEventDispatcherGlib::processEvents (this=0x29edc80, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#4  0x00007f55204bbe12 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f55204bc025 in QEventLoop::exec (this=0x7f54f03f9d80, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007f55203cf034 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#7  0x00007f552049d478 in QInotifyFileSystemWatcherEngine::run (this=0x29ece40) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f55203d18be in QThreadPrivate::start (arg=0x29ece40) at thread/qthread_unix.cpp:266
#9  0x00007f551ca66a4f in start_thread () from /lib64/libpthread.so.0
#10 0x00007f551ea3982d in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f54ee3f6710 (LWP 4826)):
#0  0x00007f5517221f82 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#1  0x00007f5517222e69 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f5517223510 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f55204e7656 in QEventDispatcherGlib::processEvents (this=0x7f54e4075860, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#4  0x00007f55204bbe12 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f55204bc025 in QEventLoop::exec (this=0x7f54ee3f5d80, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007f55203cf034 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#7  0x00007f552049d478 in QInotifyFileSystemWatcherEngine::run (this=0x592eff0) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f55203d18be in QThreadPrivate::start (arg=0x592eff0) at thread/qthread_unix.cpp:266
#9  0x00007f551ca66a4f in start_thread () from /lib64/libpthread.so.0
#10 0x00007f551ea3982d in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f54ec3f2710 (LWP 4833)):
#0  0x00007f551ca6b39c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f55203d1fab in wait (this=<value optimized out>, mutex=0x5d4a008, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x5d4a008, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00000000004d9c6a in Digikam::CameraController::run (this=0x5dd2b00) at /usr/src/debug/digikam-1.5.0/utilities/cameragui/cameracontroller.cpp:328
#4  0x00007f55203d18be in QThreadPrivate::start (arg=0x5dd2b00) at thread/qthread_unix.cpp:266
#5  0x00007f551ca66a4f in start_thread () from /lib64/libpthread.so.0
#6  0x00007f551ea3982d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f54efbf9710 (LWP 4862)):
#0  0x00007f551ca6b39c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f55203d1fab in wait (this=<value optimized out>, mutex=0x5cff078, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x5cff078, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00000000004dc5b6 in Digikam::CameraHistoryUpdater::run (this=0x5dbf480) at /usr/src/debug/digikam-1.5.0/utilities/cameragui/camerahistoryupdater.cpp:114
#4  0x00007f55203d18be in QThreadPrivate::start (arg=0x5dbf480) at thread/qthread_unix.cpp:266
#5  0x00007f551ca66a4f in start_thread () from /lib64/libpthread.so.0
#6  0x00007f551ea3982d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f54edbf5710 (LWP 7280)):
#0  0x00007f551ca6b39c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f5503e19a9b in fifo_buffer_get () from /usr/lib64/libxine.so.1
#2  0x00007f5503e1fbd5 in video_decoder_loop () from /usr/lib64/libxine.so.1
#3  0x00007f551ca66a4f in start_thread () from /lib64/libpthread.so.0
#4  0x00007f551ea3982d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f54d99cf710 (LWP 7281)):
#0  0x00007f551ca6b39c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f5503e19a9b in fifo_buffer_get () from /usr/lib64/libxine.so.1
#2  0x00007f5503e20d3d in audio_decoder_loop () from /usr/lib64/libxine.so.1
#3  0x00007f551ca66a4f in start_thread () from /lib64/libpthread.so.0
#4  0x00007f551ea3982d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f54cffbf710 (LWP 7282)):
#0  0x00007f551ca6b39c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f5503e2aaeb in listener_loop () from /usr/lib64/libxine.so.1
#2  0x00007f551ca66a4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f551ea3982d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f54da1d0710 (LWP 7341)):
#0  0x00007f551ca6b39c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f55203d09f3 in QMutexPrivate::wait (this=0xd8dea0, timeout=-1) at thread/qmutex_unix.cpp:84
#2  0x00007f55203cd375 in QMutex::lock (this=0xd8de70) at thread/qmutex.cpp:204
#3  0x00007f55226357f8 in Digikam::ThumbnailLoadingTask::execute (this=0x7bb34f0) at /usr/src/debug/digikam-1.5.0/libs/threadimageio/thumbnailtask.cpp:72
#4  0x00007f5522613816 in Digikam::LoadSaveThread::run (this=0xd84840) at /usr/src/debug/digikam-1.5.0/libs/threadimageio/loadsavethread.cpp:116
#5  0x00007f5522651b76 in Digikam::DynamicThread::DynamicThreadPriv::run (this=0xd70bc0) at /usr/src/debug/digikam-1.5.0/libs/threads/dynamicthread.cpp:240
#6  0x00007f55203c7c98 in QThreadPoolThread::run (this=0x5d410a0) at concurrent/qthreadpool.cpp:106
#7  0x00007f55203d18be in QThreadPrivate::start (arg=0x5d410a0) at thread/qthread_unix.cpp:266
#8  0x00007f551ca66a4f in start_thread () from /lib64/libpthread.so.0
#9  0x00007f551ea3982d in clone () from /lib64/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f54ce2ac710 (LWP 7342)):
[KCrash Handler]
#6  0x00007f55226358cf in Digikam::ThumbnailLoadingTask::execute (this=0x7baf700) at /usr/src/debug/digikam-1.5.0/libs/threadimageio/thumbnailtask.cpp:94
#7  0x00007f5522613816 in Digikam::LoadSaveThread::run (this=0xd84840) at /usr/src/debug/digikam-1.5.0/libs/threadimageio/loadsavethread.cpp:116
#8  0x00007f5522651b76 in Digikam::DynamicThread::DynamicThreadPriv::run (this=0xd70bc0) at /usr/src/debug/digikam-1.5.0/libs/threads/dynamicthread.cpp:240
#9  0x00007f55203c7c98 in QThreadPoolThread::run (this=0x598fcb0) at concurrent/qthreadpool.cpp:106
#10 0x00007f55203d18be in QThreadPrivate::start (arg=0x598fcb0) at thread/qthread_unix.cpp:266
#11 0x00007f551ca66a4f in start_thread () from /lib64/libpthread.so.0
#12 0x00007f551ea3982d in clone () from /lib64/libc.so.6
#13 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f552514e7c0 (LWP 4787)):
#0  0x00007f551ea306b3 in poll () from /lib64/libc.so.6
#1  0x00007f551543bc0a in ?? () from /usr/lib64/libxcb.so.1
#2  0x00007f551543cdaf in xcb_wait_for_reply () from /usr/lib64/libxcb.so.1
#3  0x00007f551d1ffc33 in _XReply () from /usr/lib64/libX11.so.6
#4  0x00007f551d1f4f7d in XTranslateCoordinates () from /usr/lib64/libX11.so.6
#5  0x00007f551f698b6e in QWidget::mapFromGlobal (this=<value optimized out>, pos=<value optimized out>) at kernel/qwidget_x11.cpp:1321
#6  0x00007f551f698bca in QWidget::mapFromGlobal (this=0xdd87f0, pos=...) at kernel/qwidget_x11.cpp:1314
#7  0x00007f551f607290 in QApplicationPrivate::pickMouseReceiver (candidate=0xde7890, globalPos=..., pos=..., type=<value optimized out>, buttons=<value optimized out>, buttonDown=0xdd87f0, 
    alienWidget=<value optimized out>) at kernel/qapplication.cpp:2985
#8  0x00007f551f685262 in QETWidget::translateMouseEvent (this=0xde7890, event=<value optimized out>) at kernel/qapplication_x11.cpp:4393
#9  0x00007f551f683a19 in QApplication::x11ProcessEvent (this=0x7fffb4060c70, event=0x7fffb4060790) at kernel/qapplication_x11.cpp:3536
#10 0x00007f551f6ab252 in x11EventSourceDispatch (s=0xaac340, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#11 0x00007f5517222a93 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#12 0x00007f5517223270 in ?? () from /usr/lib64/libglib-2.0.so.0
#13 0x00007f5517223510 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#14 0x00007f55204e75ff in QEventDispatcherGlib::processEvents (this=0xa6b150, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:415
#15 0x00007f551f6aaeee in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#16 0x00007f55204bbe12 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#17 0x00007f55204bc025 in QEventLoop::exec (this=0x7fffb4060ab0, flags=...) at kernel/qeventloop.cpp:201
#18 0x00007f55204c043b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#19 0x000000000072bc85 in main (argc=11159328, argv=0x7fffb4061301) at /usr/src/debug/digikam-1.5.0/digikam/main.cpp:195

Possible duplicates by query: bug 253728.

Reported using DrKonqi
Comment 1 caulier.gilles 2010-10-25 22:33:30 UTC
crash appear in multithreaded thumbnail interface

Gilles Caulier
Comment 2 caulier.gilles 2010-11-24 09:13:18 UTC
digiKam 1.6.0 is out:

http://www.digikam.org/drupal/node/550

Please update and check if this entry still valid.

Thanks in advance

Gilles Caulier
Comment 3 caulier.gilles 2010-12-15 10:10:37 UTC
*** Bug 259869 has been marked as a duplicate of this bug. ***
Comment 4 Marcel Wiesweg 2011-01-18 15:30:49 UTC
Merging thumbnail crashes. Please report back if the crash still occurs with the fix applied on Nov 10th

*** This bug has been marked as a duplicate of bug 255852 ***
Comment 5 caulier.gilles 2019-08-15 12:57:27 UTC
Fixed with bug #255852